<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="General" />
<!--
	=====================
		Templates/News/SearchResult.html
-->

<f:section name="content">
	<div class="news-search-result">
		<f:if condition="{search}">
			<f:if condition="{news}">
				<f:then>
					<div class="count-msg">
						<f:translate key="search-text" arguments="{0:'{f:count(subject:news)}',1:search.subject}" />
					</div>
                    <f:for each="{pagination.paginator.paginatedItems}" as="newsItem" iteration="iterator">
                        <f:render partial="List/NewsItemPublication" section="item" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
                        <f:if condition="!{iterator.isLast}">
                            <hr>
                        </f:if>
                    </f:for>
                    <f:if condition="{settings.list.paginate.insertBelow}">
                        <f:render partial="List/Pagination" arguments="{pagination: pagination.pagination, paginator: pagination.paginator}" />
                    </f:if>
				</f:then>
				<f:else>
					<div class="no-news-found">
						<f:translate key="search-noresult" />
					</div>
				</f:else>
			</f:if>
		</f:if>
	</div>
</f:section>
</html>
